public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: add new test which covers perf_event class+permissions
Date: Fri, 11 Sep 2026 13:18:33 GMT [thread overview]
Message-ID: <178913271363.1.11225265345270842791.tests-selinux-95855db588c0@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 95855db588c0574b2697afd5e8b3748522d1a025
Author : Milos Malik <mmalik@redhat.com>
Date : 2020-12-14T11:14:32+00:00
Stats : +154/-0 in 3 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/95855db588c0574b2697afd5e8b3748522d1a025?branch=pr775-checkpolicy-revdeps
Log:
add new test which covers perf_event class+permissions
The kernel already recognizes the perf_event class and its permissions.
Current SELinux policy does not, but it will.
To avoid possible issues, we need to test some basic scenarios which
take advantage of the perf_event class. For example: the perf tool
executed by root/unconfined_t user.
The TC covers BZ#1901957.
---
diff --git a/selinux-policy/perf_event-and-related/Makefile b/selinux-policy/perf_event-and-related/Makefile
new file mode 100644
index 0000000..16213ab
--- /dev/null
+++ b/selinux-policy/perf_event-and-related/Makefile
@@ -0,0 +1,68 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /CoreOS/selinux-policy/Regression/perf_event-and-related
+# Description: the service was running as initrc_t or init_t, now it is confined by SELinux
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2020 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/perf_event-and-related
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ chmod a+x runtest.sh
+ chcon -t bin_t runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Milos Malik <mmalik@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: the service was running as initrc_t or init_t, now it is confined by SELinux" >> $(METADATA)
+ @echo "Type: Regression" >> $(METADATA)
+ @echo "TestTime: 10m" >> $(METADATA)
+ @echo "RunFor: selinux-policy" >> $(METADATA)
+ @echo "Requires: audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console perf" >> $(METADATA)
+ @echo "RhtsRequires: library(selinux-policy/common)" >> $(METADATA)
+ @echo "Environment: AVC_ERROR=+no_avc_check" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+ @echo "Releases: -RHEL4 -RHEL5 -RHEL6 -RHEL7" >> $(METADATA)
+ @echo "Bug: 1901957" >> $(METADATA) # Fedora 34
+
+ rhts-lint $(METADATA)
+
diff --git a/selinux-policy/perf_event-and-related/PURPOSE b/selinux-policy/perf_event-and-related/PURPOSE
new file mode 100644
index 0000000..363240f
--- /dev/null
+++ b/selinux-policy/perf_event-and-related/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/perf_event-and-related
+Author: Milos Malik <mmalik@redhat.com>
+
+Description: Is the perf_event class and its permissions defined? Does SELinux allow various perf_event aware programs to work?
+
diff --git a/selinux-policy/perf_event-and-related/runtest.sh b/selinux-policy/perf_event-and-related/runtest.sh
new file mode 100755
index 0000000..74c687f
--- /dev/null
+++ b/selinux-policy/perf_event-and-related/runtest.sh
@@ -0,0 +1,81 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /CoreOS/selinux-policy/Regression/perf_event-and-related
+# Description: the service was running as initrc_t or init_t, now it is confined by SELinux
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2020 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+
+rlJournalStart
+ rlLog "If this test fails, please contact mmalik on IRC #selinux"
+ rlLog "This test should fail if tested bugs are NOT fixed yet"
+ rlPhaseStartSetup
+ rlRun "rlImport 'selinux-policy/common'"
+ rlAssertRpm ${PACKAGE}
+ rlAssertRpm ${PACKAGE}-targeted
+ rlAssertRpm perf
+
+ rlRun "semodule -c -E base"
+ if grep -q perf_event base.cil ; then
+ rlLog "current SELinux policy already defines the perf_event class"
+ UPDATED_BASE_CIL=false
+ else
+ rlLog "current SELinux policy does NOT define the perf_event class"
+ rlLog "going to define the perf_event class for testing purposes"
+ rlRun "sed -i 's/^\(.*classorder.*\)))$/(class perf_event (open cpu kernel tracepoint read write ))\n\1 perf_event ))/' base.cil"
+ rlRun "semodule -i base.cil"
+ UPDATED_BASE_CIL=true
+ fi
+
+ rlSESetEnforce
+ rlSEStatus
+ rlSESetTimestamp
+ sleep 2
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1901957"
+ rlSESearchRule "allow unconfined_t unconfined_t : perf_event { open cpu kernel read write } [ ]"
+ rlPhaseEnd
+
+ rlPhaseStartTest "real scenario -- perf tool under root"
+ rlRun "perf record -o /dev/null echo test"
+ rlRun "seinfo -c perf_event -x"
+ rlRun "sesearch -c perf_event -A --dontaudit"
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ sleep 2
+ rlSECheckAVC
+ if ${UPDATED_BASE_CIL} ; then
+ rlRun "semodule -r base"
+ fi
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+
reply other threads:[~2026-09-11 13:18 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913271363.1.11225265345270842791.tests-selinux-95855db588c0@fedoraproject.org \
--to=mmalik@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox